Download it now!
Bug 99693 - Format>Character should have Highlighting tab for shapes in Writer/Calc
Summary: Format>Character should have Highlighting tab for shapes in Writer/Calc
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha1
Hardware: All All
: medium enhancement
Assignee: Maxim Monastirsky
URL:
Whiteboard: target:7.0.0
Keywords:
Depends on:
Blocks: Character-Dialog 105225
  Show dependency treegraph
 
Reported: 2016-05-05 14:41 UTC by Maxim Monastirsky
Modified: 2020-02-19 21:06 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Maxim Monastirsky 2016-05-05 14:41:38 UTC
Steps to reproduce:

1. Open Writer or Calc.
2. Draw a shape.
3. Double click on that shape, and type some text inside.
4. Format->Character...
5. There should be "Highlighting" tab like in Impress/Draw.

This feature is supported in Writer/Calc too (can be set for now via sidebar button, and this button can be also added to toolbar), so no reason why we can't have this in the dialog.
Comment 1 Katarina Behrens (Inactive) 2016-05-06 09:33:26 UTC
I believe you :)
Comment 2 Thomas Lendo 2017-05-15 10:57:04 UTC
Right, Highlight Color is also missing in the "Text Object" toolbar. But it's included in the Properties sidebar.

When implementing, please have Bug 105225 "Color palette cannot be chosen in various places" in mind and the new color picker widget should be used instead of the old implementation.
Comment 3 Commit Notification 2020-02-07 09:50:12 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/01bc1dfde8ba8d374698085fabe8b67d4d52c69a

tdf#99693 Add Highlighting tab for Calc

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2020-02-07 14:33:01 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/36deee8c8d86ff45602ea3119a6628cc5bceed7a

tdf#99693 Add Highlighting tab for Writer

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Maxim Monastirsky 2020-02-07 14:35:28 UTC
Note that the Writer part depends on the fix for Bug 130482.
Comment 6 Roman Kuznetsov 2020-02-19 21:06:37 UTC
verified in

Версия: 7.0.0.0.alpha0+
ID сборки: 791aeac1e492d3f3b6c99fa480226c0b2cc4f7d6
Потоков ЦП: 4; ОС: Mac OS X 10.15.3; Отрисовка ИП: GL; VCL: osx; 
Локаль: ru-RU (ru_RU.UTF-8); Язык интерфейса: ru-RU
Calc: threaded